**Модуль реализации API для обмена с системой LiteBox под формат API ecwid.**<br>
---------------------------------<br>
Особенности настройки при разворачивании 1СБитрикс:<br>
Проактивная защита -> Вкладка "Параметры" -> Настройка параметров контроля активности -> Увеличить количество хитов примерно до 1000 <br>
При установке выбирать php7 <br>
Кодировка для БД и админки utf-8<br>
<br>
Для настроек линеек необходимо выполнить настройку отображения торговых предложений: <br>
https://dev.1c-bitrix.ru/learning/course/?COURSE_ID=42&LESSON_ID=5260<br>
1) включаем режим правки https://prnt.sc/kmer0y<br>
2) переходим на страницу товара, открываем настройки компонента https://prnt.sc/kmepf2<br>
3) Параметры компонента -> Внешний вид -> Свойства для отбора предложений https://prnt.sc/kmepii<br>

В состав модуля входит комплексный компонент - реализация роутинга.<br>

Так же в компоненте реализована типизация данных - привидение полей объекта к типу заданному в документации(используется рефлексия).<br>

После установки модуля будет скопирована папка в корень проекта /api/ с подключением компонента<br>

API поддерживает версионность - так же обрабатывет компонент. **Необходимо обязательно передавать версию!**<br>

В компоненте заданы шаблоны адресов - в свойстве **defaultUrlTemplates** url будет автоматически распарсен и поместит значения переменые равные именам параметров.<br>

Заполнение данных происходит по шаблону - шаблоны лежат в модуле **/lib/lib/template**<br>

Важно! Чтобы заполнение сработало необходимо определить свойство **rule** где ключ - свойство объекта, значение поле из массива параметров(параметры передаются в конструктор).<br>
Так же необходимо унаследовать класс шаблона от **litebox\kassa\lib\Template\GenerateData** в нем определен конструктор, в котором реализовано заполнение объекта по правилам.<br>

 Для добавления нового метода необходимо создать класс в папаке **/lib/lib/methods/vN/** где N - версия апи<br>
 
 В классе необходимо создать один из двух методов **executeGET**/**executePOST** для get и post запроса соответственно.<br>
 
 В теле метода происходит получение и формирование всех необходиымых данных и заполнение объекта.
 Так же реализован базовый класс в который вынесены общие методы. <br>
 
 Для корректной работоспособности необходима лиценция Управление сайтом - **Бизнес**<br>
 Параметры разворачивания магазина - установить в utf-8
 
 При заливке на тест необходимо проверить конфиги, перекинуть весь битрикс на тест (сделать бекап теста lbmodule), dbconn и .settings.php и перекинуть локальную базу, на весь домен поставить права 777
 
 UPD: РЕГИСТР ПАПОК ВЛИЯЕТ НА РАБОТОСПОСОБНОСТЬ, ДОЛЖНЫ БЫТЬ НИЖНИЕ, 
 Проверка работоспособности:  domain/api/v1/token
 
 <br>
 Описание API размещено в папке _readme
 
 **Настройки каталога**
 1. При установке модуля необходмио указать корректный ID инфоблока каталога товаров
    Также, если каталог товаров был перемещен в другой ИБ, необходимо в настройках изменить соответствующий параметр.
 2. Если в обмене [Битрикс => ТУ] не требуется передача изображений товаров и категорий в ТУ, можно отключить соответствующий флаг в настройках
 3. Для выгрузки кода товара из Битрикса в ТУ укажите символьный код свойства инфоблока, в котором содержится код (артикул) товара (необязательное поле)
    При отсутствии поля в качестве кода будет отправлен id товара в формате BPxxx, где BP - BitrixProduct, а xxx - id товара
 4. Для выгрузки кода товарного предложения из Битрикса в ТУ укажите символьный код свойства инфоблока, в котором содержится код (артикул) товарного предложения
    При отсутствии поля в качестве кода будет отправлен id товарного предложения в формате BOxxx, где BO - BitrixOffer, а xxx - id товарного предложения
 
 **Фискализация**
 После установки модуля для работы системы фискализации нужно сделать настройки
 1. URL API - url конечной точки API
 1. Логин и пароль в системе litebox
 1. Идентификатор магазина в системе litebox
 1. Выбрать для каких платёжных систем нужна фискализация
 1. Выбрать систему налогообложения (должна совпадать с настройкой в litebox).
 1. В системе litebox настроить кассу (Управление кассами -> настройка кассы -> общие настройки -> галочка "касса для интернет магазина")
 1. В системе litebox настроить ИНН у продавца.
 1. В bitrix в настройках бизнес смыслов установить ИНН в настройках продавца (общих). Должен совпадать с настройкой в litebox.
 1. Запросить API Token нажатием кнопки.
 
 Особенности:
 Поддерживает три типа налога 0% (не установлен), 10%, 20%.
 Запрос статусов чеков организован на агенте. Срабатывает каждые 300 секунд.