<?php
namespace Litebox\Kassa\Fiscalization;

use Bitrix\Main\Entity;

class ReceiptTable extends Entity\DataManager
{
	public static function getMap()
	{
		return array(
			new Entity\IntegerField('ID', array(
				'primary' => true,
				'autocomplete' => true
			)),
			new Entity\StringField('UUID'),
			new Entity\IntegerField('PAYMENT_ID'),
			new Entity\StringField('OPERATION_TYPE'),
			new Entity\StringField('STATUS'),
			new Entity\DatetimeField('CREATED'),
			new Entity\DatetimeField('LAST_MODIFIED'),
			new Entity\TextField('ERROR_TEXT')
		);
	}
}